<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".deprecated.ui.activity.map.MapLiveActivity">

    <include
        android:id="@+id/map_live_pet_layout"
        layout="@layout/layout_pet_gps_battery" />

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/map_live_map_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/map_live_pet_layout"
        android:layout_marginBottom="@dimen/dp_200" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/map_live_refresh_location_btn"
        style="@style/my_TextView_style"
        android:layout_width="wrap_content"
        android:layout_below="@id/map_live_pet_layout"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginEnd="@dimen/dp_12"
        android:background="@drawable/ico_map_refresh" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@drawable/shape50_white_half_bottom_bg"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingStart="@dimen/dp_10"
        android:paddingTop="@dimen/dp_24"
        android:paddingEnd="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_14">

        <com.abbidot.tracker.widget.TypefaceRoundButton
            android:id="@+id/btn_stop_map_live"
            style="@style/my_QMUIRoundButton_big_style"
            android:text="@string/map_live_btn_stop"
            app:qmui_backgroundColor="@color/btn_yellow_color"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceRoundButton
            android:id="@+id/btn_find_device"
            style="@style/my_QMUIRoundButton_small_style"
            android:layout_marginTop="@dimen/dp_8"
            android:text="查找设备"
            app:qmui_backgroundColor="@color/btn_yellow_color"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style"
            android:layout_width="wrap_content"
            android:gravity="start"
            android:padding="@dimen/dp_22"
            android:text="@string/map_live_detail"
            android:textSize="@dimen/textSize16"
            app:typeface="@string/roboto_regular_font" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_light_grey_bg"
            android:padding="@dimen/dp_18">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_centerVertical="true"
                android:drawableStart="@drawable/ico_map_light_on"
                android:drawablePadding="@dimen/dp_16"
                android:text="@string/tracker_manage_set_led"
                android:textColor="@color/white"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/roboto_bold_font" />

            <androidx.appcompat.widget.AppCompatCheckBox
                android:id="@+id/map_live_device_led_switch"
                style="@style/my_checkbox_switch_style"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true" />
        </RelativeLayout>
    </androidx.appcompat.widget.LinearLayoutCompat>
</RelativeLayout>